# launcher

What launches the server and client components

## Dependencies

* Python 3.6+
* [abots](https://tildegit.org/aewens/abots)

## Setup

```bash

$ mkdir babili
$ cd babili
$ git clone https://tildegit.org/aewens/abots"
$ git clone https://tildegit.org/babili/core"
$ git clone https://tildegit.org/babili/launcher"
$ ln -s abots/abots core/abots
$ ln -s abots/abots launcher/abots
$ cd abots
$ python3 -m venv env
$ env/bin/pip3 install -r requirements.txt
$ cd ../launcher
$ cp settings.example.json settings.json
$ $EDITOR settings.json

```

## Run

```bash

$ cd abots
$ . env/bin/activate
$ ../launcher
$ python3 launch.py

```
